package com.inspect.analysis.domain;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Objects;

@Getter
@Setter
public class ModifyDocModel implements Serializable {
    private Long lineId;
    private String value;

    @Override
    public boolean equals(Object object) {
        if (this == object) return true;
        if (object == null || getClass() != object.getClass()) return false;
        ModifyDocModel that = (ModifyDocModel) object;
        return Objects.equals(lineId, that.lineId) && Objects.equals(value, that.value);
    }

    @Override
    public int hashCode() {
        return Objects.hash(lineId, value);
    }

    @Override
    public String toString() {
        return "ModifyDocModel{" +
                "lineId=" + lineId +
                ", value='" + value + '\'' +
                '}';
    }
}
